package com.storlead.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.storlead.system.pojo.entity.MenuEntity;

import java.util.List;

public interface IMenuService extends IService<MenuEntity> {

    List<MenuEntity> queryByUsername(String userName);

    MenuEntity getRootLastNodeInfo(Long pid, Long appId);

    List<MenuEntity> getUserMenuList(Long userId,Long appId,List<Integer> modeTypes,List<Integer> menuTypes);

    List<MenuEntity> getUserMenuList(Long userId,List<Integer> modeTypes,List<Integer> menuTypes);

    Integer checkUserMenuAccess(Long userId);

    List<MenuEntity> getAllMenuCreateTree();
}
